> For the complete documentation index, see [llms.txt](https://docs.projetly.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projetly.ai/home/api-reference/accounts.md).

# Accounts

## All Accounts

> This endpoint is used to fetch all accounts in the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/":{"get":{"operationId":"account_info_list","description":"This endpoint is used to fetch all accounts in the current organization","summary":"All Accounts","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Accounts"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountInfo"}}}},"description":""}}}}}}
```

## Creates a new account

> This endpoint is used to save a new account for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/account/info/":{"post":{"operationId":"account_info_create","description":"This endpoint is used to save a new account for the current organization","summary":"Creates a new account","tags":["Accounts"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a account with the given id

> This endpoint is used to fetch a account details for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/{id}/":{"get":{"operationId":"account_info_retrieve","description":"This endpoint is used to fetch a account details for the current organization","summary":"Gets a account with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Accounts"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"description":""}}}}}}
```

## Edits the account with the given id

> This endpoint is used to edit an account for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/account/info/{id}/":{"put":{"operationId":"account_info_update","description":"This endpoint is used to edit an account for the current organization","summary":"Edits the account with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Accounts"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes the account with the given id

> This endpoint is used to delete an account for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/account/info/{id}/":{"delete":{"operationId":"account_info_destroy","description":"This endpoint is used to delete an account for the current organization","summary":"Deletes the account with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Accounts"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/account/info/all-accounts/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/all-accounts/":{"get":{"operationId":"account_info_all_accounts_retrieve","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Accounts"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"description":""}}}}}}
```

## POST /api/account/info/del\_vertical/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/del_vertical/":{"post":{"operationId":"account_info_del_vertical_create","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Accounts"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/AccountInfo"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"description":""}}}}}}
```

## GET /api/account/info/journey/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/journey/":{"get":{"operationId":"account_info_journey_retrieve","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Accounts"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"description":""}}}}}}
```

## GET /api/account/info/more-activities/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/more-activities/":{"get":{"operationId":"account_info_more_activities_retrieve","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Accounts"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"description":""}}}}}}
```

## GET /api/account/info/options/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/options/":{"get":{"operationId":"account_info_options_retrieve","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Accounts"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"description":""}}}}}}
```

## GET /api/account/info/overview/{id}/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/overview/{id}/":{"get":{"operationId":"account_info_overview_retrieve","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string","pattern":"^[^/]+$"},"required":true}],"tags":["Accounts"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"description":""}}}}}}
```

## POST /api/account/info/vertical/

> API endpoint that allows accounts to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"AccountInfo":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"account_id":{"type":"string","maxLength":25},"account_name":{"type":"string"},"description":{"type":"string"},"account_owner":{"type":"string","readOnly":true},"linked_projects":{"type":"string","readOnly":true},"health_score":{"type":"string","readOnly":true},"total_revenue":{"type":"string","readOnly":true},"total_projects":{"type":"string","readOnly":true},"completed_projects":{"type":"string","readOnly":true},"total_deals":{"type":"string","readOnly":true},"completed_deals":{"type":"string","readOnly":true},"vertical":{"type":"string"},"segment":{"type":"string"},"website_url":{"type":"string"},"region":{"type":"string"},"customer":{"type":"string","readOnly":true},"is_favourite":{"type":"boolean"},"currency_unit":{"type":"string","readOnly":true},"logo_path":{"type":"string","readOnly":true},"logo":{"type":"string","readOnly":true},"insight":{"type":"object","additionalProperties":{}},"total_formatted_revenue":{"type":"string","readOnly":true},"is_internal_account":{"type":"boolean"},"company_id":{"type":"string","nullable":true}},"required":["account_id","account_owner","completed_deals","completed_projects","currency_unit","customer","health_score","linked_projects","logo","logo_path","total_deals","total_formatted_revenue","total_projects","total_revenue"]}}},"paths":{"/api/account/info/vertical/":{"post":{"operationId":"account_info_vertical_create","description":"API endpoint that allows accounts to be created, viewed, deleted or edited.","tags":["Accounts"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/AccountInfo"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountInfo"}}},"description":""}}}}}}
```
